[Neo4j] Neo4j 1.1 released -- meta-model component is missing for OSGi

Peter Neubauer peter.neubauer at neotechnology.com
Wed Aug 4 10:00:41 CEST 2010


Jörg,
the neo4j-meta-model is not following the core components release
cycle, so it will be released separately when it is tested and
stabilized.

However, I have bumped the versions of the dependencies to 1.1, which
mean you should be fine in OSGi using it. Could you please report back
if that works for you? The new snapshot should be deployed in a few
minutes ...

Cheers,

/peter neubauer

COO and Sales, Neo Technology

GTalk:      neubauer.peter
Skype       peter.neubauer
Phone       +46 704 106975
LinkedIn   http://www.linkedin.com/in/neubauer
Twitter      http://twitter.com/peterneubauer

http://www.neo4j.org               - Your high performance graph database.
http://www.thoughtmade.com - Scandinavia's coolest Bring-a-Thing party.



On Tue, Aug 3, 2010 at 5:52 PM, Jörg Richter <jri at deepamehta.de> wrote:
>
> Now, with final 1.1 util component, dependencies resolve properly in an OSGi environment.
>
> Still missing is the meta-model component.
> It is at 0.9-SNAPSHOT and declares a dependency of Neo4j 1.1-SNAPSHOT:
>
>        Import-Package: org.neo4j.graphdb;version="1.1.0.SNAPSHOT".
>
> So, Neo4j 1.1 can't yet be deployed in an OSGi environment if the meta-model component is needed:
>
>        org.osgi.framework.BundleException: Unresolved constraint in bundle org.neo4j.neo4j-meta-model [22]: Unable to resolve 22.0: missing requirement [22.0] package; (&(package=org.neo4j.graphdb)(version>=1.1.0.SNAPSHOT)) - [22.0] package; (&(package=org.neo4j.graphdb)(version>=1.1.0.SNAPSHOT))
>
> In OSGi terms, a 1.1 version is apparently not "greater than" a 1.1.0.SNAPSHOT version.
>
> I would love to upgrade to Neo4j 1.1 while using the meta-model component (in an OSGi environment).
>
> A new version of meta-model component with updated dependency would do.
>
> Congratulations to Neo4j 1.1!
>
> Cheers,
> Jörg
>
>
> On Aug 3, 2010, at 15:02, Anders Nawroth wrote:
>
>> Hi!
>>
>> If case anyone has missed the neo4j-utils component version 1.1, it has
>> now been deployed to our Maven2 repo:
>> http://m2.neo4j.org/org/neo4j/neo4j-utils/1.1/
>>
>> /anders
>>
>> On 07/30/2010 04:35 PM, Peter Neubauer wrote:
>>> Gentlemen,
>>>
>>> Neo4j 1.1 has arrived - http://bit.ly/neo4j11 (changelog at
>>> http://dist.neo4j.org/CHANGES.txt)!
>>>
>>> Change your Maven pom.xml and rejoice :)
>>>
>>> Happy hacking,
>>>
>>> /peter neubauer
>>>
>>> COO and Sales, Neo Technology
>>>
>>> GTalk:      neubauer.peter
>>> Skype       peter.neubauer
>>> Phone       +46 704 106975
>>> LinkedIn   http://www.linkedin.com/in/neubauer
>>> Twitter      http://twitter.com/peterneubauer
>>>
>>> http://www.neo4j.org               - Your high performance graph database.
>>> http://www.thoughtmade.com - Scandinavia's coolest Bring-a-Thing party.
>>> _______________________________________________
>>> Neo4j mailing list
>>> User at lists.neo4j.org
>>> https://lists.neo4j.org/mailman/listinfo/user
>> _______________________________________________
>> Neo4j mailing list
>> User at lists.neo4j.org
>> https://lists.neo4j.org/mailman/listinfo/user
>
> _______________________________________________
> Neo4j mailing list
> User at lists.neo4j.org
> https://lists.neo4j.org/mailman/listinfo/user
>


More information about the User mailing list